# Gutenix #
**Contributors:** gutenix
**Tested up to:** 5.4.2
**Stable tag:** 1.0.20
**License:** GPLv2 or later
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html
**Tags:** blog, e-commerce, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-logo, featured-image-header, featured-images, footer-widgets, full-width-template, theme-options, post-formats, rtl-language-support, sticky-post, translation-ready, accessibility-ready, block-styles
**Requires at least:** 5.0
**Requires PHP:** 5.6

## Description ##
Gutenix is a super lightweight and easy-to-customize free theme. Whether you want to build a portfolio, an online store or a donation platform, Gutenix will smoothly work for you. The theme is compatible both with Gutenberg and the newest WordPress versions. It is completely SEO optimized and hassle-free, which will help you to reach the top results in any search engine. Moreover, the Gutenix responsive theme is Retina and translation-ready. In case you've been looking for a free theme to run any kind of blog, this one is a real treasure for you! Gutenix has a creative and unique blog design with 5 post layouts, among which are: Standard Post; Video Post; Gallery Post; Quote Post; Link Post; Audio Post. You can also make your blog page fullwidth and place the sidebar on the left or on the right side. Furthermore, Gutenix is WooCommerce-ready. As for the typography, the Gutenix theme provides you with 8 header styles and the ability to choose from 650+ fonts and customize typography without any effort. Thanks to the live preview customizer, which provides unlimited color and design options, you will catch the attention of any visitor. What is more important, the theme is supported via the free ticket system. https://webcodebuilder.com/

## Installation ##
* In your admin panel, go to Appearance > Themes and click the Add New button.
* Click Upload Theme and Choose File, then select the theme's .zip file. Click Install Now.
* Click Activate to use your new theme right away.

## Frequently Asked Questions ##
Does this theme support any plugins? = Gutenix includes support for Infinite Scroll in Jetpack.

## Changelog ##

### 1.0.20 ###

* Fixed: Theme Styles


### 1.0.19 ###

* Fixed: Header Logo options
* Fixed: Page Settings -> Page Layout option


### 1.0.18 ###

* Added: Header Logo options max width, max height


### 1.0.17 ###

* Added: Top Panel menu
* Added: Footer Bar Border size boxed/wide, height, color
* Added: Blog Page Title Option Enable / Disable
* Added: Shop Page Title Option Enable / Disable
* Added: Main Menu Position (left/center/right) for Style 1

* Fixed: Header Bar Style 6
* Fixed: Options for Mobile button, colors, background from Vertical Menu Settions
* Fixed: Related products grid layout
* Fixed: Search Result Page styles


### 1.0.16 ###

* ADD: Header Layout Style 7, Style 8 options
* ADD: Logo Position, Menu Button Position


### 1.0.15 ###

* ADD: Vertical Menu Typography
* ADD: Buttom Typography
* FIX: Footer Widgets Content for links "font-weight" option
* FIX: Single Product styles
* FIX: Handles toggling the navigation menu


### 1.0.14 ###

* ADD: Adaptive font size (Site Title, Tagline, Body, Headings, Input Text, Footer Widget Title, Footer Content);
* ADD: Adaptive Padding;
* FIX: Container custom width;
* FIX: Footer Widgets links color;
* FIX: Site Preview;
* FIX: Deleted post modified date.


### 1.0.13 ###

* FIX: Stripe compatibility.


### 1.0.12 ###

* ADD: page templates: canvas, full width;
* ADD: content and heading typography: responsive font size, alignment;
* ADD: vertical menu: responsive menu and submenu items size, menu background, background transparency settings;
* ADD: site tite stylization settings: typography settings, color;
* ADD: tagline positioning: inline with logo, after logo;
* ADD: footer widgets area impovements: responsive vertical gap, background settings;
* ADD: footer bar: responsive vertical gap, background settings.


### 1.0.11 ###

* FIX: theme preview.


### 1.0.10 ###

* FIX: changed the theme description and tags.


### 1.0.9 ###

* FIX: changed screenshot in accordance with the requirements.


### 1.0.8 ###

* FIX: improved keyboard navigation for search and mobile menu;
* FIX: background image in the header;
* FIX: added information about license terms in readme.txt.


### 1.0.7 ###

* FIX: changes in  wp_open_body() and WooCommerce compatibility;
* FIX: improved mobile menu navigation;
* FIX: the option Display Site Title and Tagline;
* FIX: added an additional focus to comment box, submit button and search box when keyboard navigation is used.


### 1.0.6 ###

* FIX: improved keyboard navigation, added 2 extra buttons for easier navigation to different content parts;
* FIX: included the resources used in the Gutenix theme into readme.txt file;
* FIX: added prefixes to global variable;
* FIX: removed the commented code;
* FIX: added condition for WooCommerce Support;
* FIX: fixed the menu toggle button.


### 1.0.5 ###

* FIX: chnaged in the output of Google Fonts;
* FIX: made changes in readme.txt file;
* FIX: changed the output method to excaping function;
* FIX: adeed a default parameter for mobile menu responsiveness layout in Customizer;
* FIX: regenerated the .pot file with translation strings;
* FIX: added a tag for the search label;
* FIX: changed screenshot in accordance with the requirements.


### 1.0.4 ###

* FIX: added keyboard navigation for the navigation menu;
* FIX: changed background image for screenshot;
* FIX: added minimized and not minimized style.css version;
* FIX: stylesheets registered/enqueued via wp_enqueue_style;
* FIX: option for Related posts output on Single Post page;
* FIX: renamed About author file;
* FIX: generated .pot file for translation strings.


### 1.0.3 ###

* FIX: changed screenshot in accordance with the requirements.


### 1.0.2 ###

* FIX: changed screenshot in accordance with the requirements;
* FIX: made changes in readme.txt file.


### 1.0.1 ###

* FIX: corrections according to Unit Test.


### 1.0.0 ###

* Released: December 16, 2019
* Initial release.


## Upgrade Notice ##

## Screenshots ##

## Credits ##

- FontAwesome
* Dave Gandy
* Copyright 2015, Dave Gandy
* https://fontawesome.com/v4.7.0/
* License: SIL OFL 1.1, CSS: MIT License
* http://fontawesome.io/license

- UItoTop
* Matt Varone
* Copyright 2010, Matt Varone
* https://github.com/sksmatt/UItoTop-jQuery-Plugin
* License: GNU General Public License
* http://www.gnu.org/licenses/.

- Google Font Libre Franklin
* Pablo Impallari, Rodrigo Fuenzalida and Nhung Nguyen
* Copyright (c) 2015, Impallari Type (www.impallari.com)
* https://github.com/impallari/Libre-Franklin
* License: SIL Open Font License v1.1
* https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL

## Images bundled with the theme ##

- Image for theme screenshot
* License: CC0 1.0 Universal (CC0 1.0)
* Source: https://pxhere.com/en/photo/1396607
* The image is released free of copyrights under Creative Commons CC0. Attribution is not required.

- Cherry Framework
* Copyright 2019, Cherry Framework
* https://github.com/Cherry-X-framework
* License: GNU General Public License
* http://www.gnu.org/licenses/